Subject: Re: [X2Go-Dev] Bug#908: nxagent segfault, causes session loss

From: Mike Gabriel <[email-masked]>
Date: Mon, 13 Jun 2016 21:42:30 +0000

Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/118

Hi Rob,

On  Mi 22 Jul 2015 18:15:20 CEST, Rob Izzard wrote:

> Package: nxagent
> Version: 3.5.0.32-0~668~ubuntu14.04.1
> Severity: important
>
> Dear nxagent coders,
>
> Over the last couple of weeks I have lost a few x2go sessions which
> is, you can imagine, annoying. I thought it was just a rare bug and I
> was unlucky, but today it happened again so I have collected what I
> can.
>
> It seems that when I try to connect to a running session there is
> *sometimes* a crash of nxagent. Not always, but when it happens x2go
> terminates the session. I do not know why x2go terminates the session
> - surely it should allow me to retry the connect? Anyway, everything
> in that session is lost, so this problem is fatal as well as annoying.
>
> The connection is to localhost, so there's no network failure (despite
> the suggestion of the error message).  I hope this isn't a problem
> with the latest nx 3.5.0.32 ... :-/
>
> please let me know how I can help any further.
>
> many thanks!
> Rob

Sorry for the late reply. Just want to let you know that your problem  
is probably tracked by #118 at [1].

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de